import { ContainerThemePreference } from '../../container/constants/ContainerConstants.js';
import { FontSize, FontSpacing } from '../../../internal/constants/styleConstants.js';
export declare type ColourPreference = 'theme';
export declare type ContentPreference = 'fontSize' | 'lineHeight' | 'letterSpacing' | 'highLegibilityFonts' | 'highlightLinks' | 'plainText';
export declare type NotificationPreference = 'stickyNotifications';
export declare type AccessibilityKey = 'colourAdjustments' | 'contentAdjustments' | 'notifications';
export declare type AccessibilityOption = {
    name: AccessibilityKey;
    options: {
        [key in ColourPreference]: ContainerThemePreference[];
    } | {
        [key in ContentPreference]: FontSize[] | FontSpacing[] | null;
    } | {
        [key in NotificationPreference]: boolean;
    };
};
export declare const ACCESSIBILITY_OPTIONS: AccessibilityOption[];
