import { LitElement } from 'lit';
import '../ph-icon/user/ph-icon-user.js';
/**
 * @slot icon - The default icon to use when no image or initials are present.
 *
 * @cssproperty --size - The size of the avatar.
 *
 * @ssr - True
 */
export default class ArcAvatar extends LitElement {
    /** @internal */
    static tag: string;
    static styles: import("lit").CSSResult[];
    /** @internal - State that keeps track whether the given image failed to load. */
    private _hasError;
    /** The image source to use for the avatar. */
    image: string;
    /** A label to describe the avatar to assistive devices. */
    label: string;
    /** Name to use as a fallback when no image is available. */
    name: string;
    handleImageChange(): void;
    protected render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'arc-avatar': ArcAvatar;
    }
}
