import { LitElement } from 'lit';
import { NotificationConfiguration } from '../container/constants/ContainerConstants.js';
import { ActionCallback } from '../container/constants/ContainerConstants.js';
import '../icon-button/arc-icon-button.js';
import '../icon/accessibility/arc-icon-accessibility.js';
/**
 * @slot - This slot is used to add icon-buttons to the bottom bar.
 *
 * @event arc-show-accessibility - Emitted when the built-in accessibility button is pressed.
 *
 * @ssr - True
 */
export default class ArcBottombar extends LitElement {
    /** @internal */
    static tag: string;
    static styles: import("lit").CSSResult[];
    /** @internal - State that stores the max tab count */
    private tabs;
    /** @internal - State that keeps track of the current tab count */
    private tabCount;
    private _handleTabChange;
    log(msg: string): void;
    emitAccessibility(): void;
    notifications: Array<[
        NotificationConfiguration,
        ActionCallback
    ]>;
    notificationHistory: boolean;
    protected render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'arc-bottombar': ArcBottombar;
    }
}
