import { LitElement } from 'lit';
import { ChipType } from './constants/ChipConstants.js';
import { InputSize } from '../../internal/constants/styleConstants.js';
import '../ph-icon/x/ph-icon-x.js';
/**
 * @slot default - The chip's label.
 * @slot avatar - Used to prepend an avatar element to the chip.
 *
 * @ssr - True
 */
export default class ArcChip extends LitElement {
    /** @internal */
    static tag: string;
    static styles: import("lit").CSSResult[];
    /** @internal - Controller that listens to slot changes within the component. */
    private readonly hasSlotController;
    size: InputSize;
    type: ChipType;
    clearable: boolean;
    _handleClear(): void;
    protected render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'arc-chip': ArcChip;
    }
}
