import { LitElement } from 'lit';
import { ActionCallback, NotificationConfiguration, FlyerPlacement } from './constants/ContainerConstants.js';
import '../icon-button/arc-icon-button.js';
import '../ph-icon/dots-three/ph-icon-dots-three.js';
import './ArcNotification.js';
/**
 * @ bata component feature (api subject to change)
 * @internal
 * @ssr - True
 */
export default class ArcFlyer extends LitElement {
    /** @internal */
    static tag: string;
    /** @internal */
    static styles: import("lit").CSSResult[];
    /** Set the placement of the flyer */
    placement: FlyerPlacement;
    /** @internal */
    private notifications;
    /** @internal */
    private get notificationElements();
    /** Open an alert with the given configuration */
    dispatchNotification(config: NotificationConfiguration): ActionCallback;
    protected render(): import("lit-html").TemplateResult<1>;
}
