import { LitElement } from 'lit';
import type { ActionCallback, AlertConfiguration } from './constants/ContainerConstants.js';
import '../icon-button/arc-icon-button.js';
import '../ph-icon/arrow-left/ph-icon-arrow-left.js';
import '../ph-icon/arrow-right/ph-icon-arrow-right.js';
import './ArcAlert.js';
/**
 * @bata
 * @internal component should only be created by an `ArcContainer` component
 * @ssr - True
 */
export default class ArcOverlay extends LitElement {
    /** @internal */
    static tag: string;
    /** @internal */
    static styles: import("lit").CSSResult[];
    /** @internal */
    private activeAlertIndex;
    /** @internal */
    private handleNextAlert;
    /** @internal */
    private handlePreviousAlert;
    /** @internal */
    private get alertElements();
    /** @internal */
    private setActiveAlert;
    /** Open an alert with the given configuration */
    dispatchAlert(config: AlertConfiguration): ActionCallback;
    protected render(): import("lit-html").TemplateResult<1>;
}
