import { Placement } from '@floating-ui/dom';
import { ThemeColor } from '../../../internal/constants/styleConstants.js';
export declare type ContainerThemePreference = 'auto' | 'dark' | 'light';
export declare const CONTAINER_THEME_PREFERENCES: {
    [key in ContainerThemePreference]: ContainerThemePreference;
};
export declare type ActionCallback = () => void;
export declare interface Action {
    label: string;
    callback: ActionCallback;
}
export declare type Operation = Extract<ThemeColor, 'default' | 'error' | 'warning' | 'info' | 'success'>;
export declare const OPERATIONS: {
    [key in Operation]: Operation;
};
export declare interface OperationConfiguration {
    title: string;
    message: string;
    type?: Operation;
}
export declare interface NotificationConfiguration extends OperationConfiguration {
    timeStamp?: Date;
    duration?: number;
    assertive?: boolean;
}
export declare type FlyerPlacement = Extract<Placement, 'top' | 'bottom' | 'top-start' | 'top-end' | 'bottom-start' | 'bottom-end'>;
export declare const FLYER_PLACEMENT: {
    [key in FlyerPlacement]: FlyerPlacement;
};
export declare interface AlertConfiguration extends OperationConfiguration {
    assertive?: boolean;
    action?: Action;
    secondaryAction?: Action;
}
