import { LitElement } from 'lit';
/**
 * @slot default - The content of the hero.
 * @slot title - The title of the hero.
 * @slot subtitle - The subtitle of the hero.
 *
 * @cssproperty --content-gap - Set the distance between the title and the content.
 *
 * @ssr - True
 */
export default class ArcHero extends LitElement {
    /** @internal */
    static tag: string;
    static styles: import("lit").CSSResult[];
    /** Set the banner to full screen. */
    fullscreen: boolean;
    /** The title of the hero. Alternatively, the title slot can be used. */
    title: string;
    /** The subtitle of the hero. Alternatively, the subtitle slot can be used. */
    subtitle: string;
    /** Set the background of the hero. */
    background: string;
    protected render(): import("lit-html").TemplateResult<1 | 2>;
}
declare global {
    interface HTMLElementTagNameMap {
        'arc-hero': ArcHero;
    }
}
