import { LitElement } from 'lit';
import type ArcMenuItem from '../menu-item/ArcMenuItem.js';
/**
 * @slot default - The menu's content, including menu items.
 *
 * @event arc-select - Emitted when a menu item is selected.
 *
 * ssr - True
 */
export default class ArcMenu extends LitElement {
    /** @internal */
    static tag: string;
    static styles: import("lit").CSSResult[];
    /** @internal */
    menu: HTMLElement;
    /** @internal */
    defaultSlot: HTMLSlotElement;
    /** @internal - String used to select a menu-item while typing. */
    private typeToSelectString;
    /** @internal - Timeout used to wait before clearing the typeToSelectString. */
    private typeToSelectTimeout;
    getAllItems(options?: {
        includeDisabled: boolean;
    }): ArcMenuItem[];
    getCurrentItem(): ArcMenuItem | undefined;
    setCurrentItem(item: ArcMenuItem): void;
    typeToSelect(key: string): void;
    private _handleClick;
    handleKeyDown(event: KeyboardEvent): void;
    private _handleSlotChange;
    protected render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'arc-menu': ArcMenu;
    }
}
