var PhIconAlignCenterHorizontal_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconAlignCenterHorizontal = PhIconAlignCenterHorizontal_1 = class PhIconAlignCenterHorizontal extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconAlignCenterHorizontal_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconAlignCenterHorizontal.tag = 'ph-icon-align-center-horizontal';
/** @internal */
PhIconAlignCenterHorizontal.styles = styles;
/** @internal */
PhIconAlignCenterHorizontal.svg = svg `<path d="M208,136H136V120h48a16,16,0,0,0,16-16V64a16,16,0,0,0-16-16H136V32a8,8,0,0,0-16,0V48H72A16,16,0,0,0,56,64v40a16,16,0,0,0,16,16h48v16H48a16,16,0,0,0-16,16v40a16,16,0,0,0,16,16h72v16a8,8,0,0,0,16,0V208h72a16,16,0,0,0,16-16V152A16,16,0,0,0,208,136ZM72,64H184v40H72ZM208,192H48V152H208v40Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconAlignCenterHorizontal.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconAlignCenterHorizontal.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconAlignCenterHorizontal.prototype, "rotation", void 0);
PhIconAlignCenterHorizontal = PhIconAlignCenterHorizontal_1 = __decorate([
    customElement('ph-icon-align-center-horizontal')
], PhIconAlignCenterHorizontal);
export default PhIconAlignCenterHorizontal;
//# sourceMappingURL=ph-icon-align-center-horizontal.js.map