import { LitElement } from 'lit';
import { FontSize } from '../../../internal/constants/styleConstants.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
export default class PhIconArrowFatLinesDown extends LitElement {
    /** @internal */
    static tag: string;
    /** @internal */
    static styles: import("lit").CSSResult[];
    /** @internal */
    static svg: import("lit-html").TemplateResult<2>;
    /** An alternate description to use for accessibility. If omitted, the icon will be ignored by assistive devices. */
    label: string;
    /** Set the size of the icon. */
    size: FontSize;
    /** Set the rotation of the icon. */
    rotation: 0 | 90 | 180 | 270;
    protected render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'ph-icon-arrow-fat-lines-down': PhIconArrowFatLinesDown;
    }
}
