var PhIconArrowsHorizontal_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconArrowsHorizontal = PhIconArrowsHorizontal_1 = class PhIconArrowsHorizontal extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconArrowsHorizontal_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconArrowsHorizontal.tag = 'ph-icon-arrows-horizontal';
/** @internal */
PhIconArrowsHorizontal.styles = styles;
/** @internal */
PhIconArrowsHorizontal.svg = svg `<path d="M237.66,133.66l-32,32a8,8,0,0,1-11.32-11.32L212.69,136H43.31l18.35,18.34a8,8,0,0,1-11.32,11.32l-32-32a8,8,0,0,1,0-11.32l32-32a8,8,0,0,1,11.32,11.32L43.31,120H212.69l-18.35-18.34a8,8,0,0,1,11.32-11.32l32,32A8,8,0,0,1,237.66,133.66Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconArrowsHorizontal.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconArrowsHorizontal.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconArrowsHorizontal.prototype, "rotation", void 0);
PhIconArrowsHorizontal = PhIconArrowsHorizontal_1 = __decorate([
    customElement('ph-icon-arrows-horizontal')
], PhIconArrowsHorizontal);
export default PhIconArrowsHorizontal;
//# sourceMappingURL=ph-icon-arrows-horizontal.js.map