var PhIconBatteryVerticalMedium_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconBatteryVerticalMedium = PhIconBatteryVerticalMedium_1 = class PhIconBatteryVerticalMedium extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconBatteryVerticalMedium_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconBatteryVerticalMedium.tag = 'ph-icon-battery-vertical-medium';
/** @internal */
PhIconBatteryVerticalMedium.styles = styles;
/** @internal */
PhIconBatteryVerticalMedium.svg = svg `<path d="M176,32H80A24,24,0,0,0,56,56V224a24,24,0,0,0,24,24h96a24,24,0,0,0,24-24V56A24,24,0,0,0,176,32Zm8,192a8,8,0,0,1-8,8H80a8,8,0,0,1-8-8V56a8,8,0,0,1,8-8h96a8,8,0,0,1,8,8Zm-16-24a8,8,0,0,1-8,8H96a8,8,0,0,1,0-16h64A8,8,0,0,1,168,200ZM88,8a8,8,0,0,1,8-8h64a8,8,0,0,1,0,16H96A8,8,0,0,1,88,8Zm80,152a8,8,0,0,1-8,8H96a8,8,0,0,1,0-16h64A8,8,0,0,1,168,160Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconBatteryVerticalMedium.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconBatteryVerticalMedium.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconBatteryVerticalMedium.prototype, "rotation", void 0);
PhIconBatteryVerticalMedium = PhIconBatteryVerticalMedium_1 = __decorate([
    customElement('ph-icon-battery-vertical-medium')
], PhIconBatteryVerticalMedium);
export default PhIconBatteryVerticalMedium;
//# sourceMappingURL=ph-icon-battery-vertical-medium.js.map