var PhIconBluetoothSlash_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconBluetoothSlash = PhIconBluetoothSlash_1 = class PhIconBluetoothSlash extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconBluetoothSlash_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconBluetoothSlash.tag = 'ph-icon-bluetooth-slash';
/** @internal */
PhIconBluetoothSlash.styles = styles;
/** @internal */
PhIconBluetoothSlash.svg = svg `<path d="M213.92,210.62l-160-176A8,8,0,1,0,42.08,45.38l70.84,77.93L51.2,169.6a8,8,0,1,0,9.6,12.8L112,144v80a8,8,0,0,0,12.8,6.4l50.83-38.12,26.45,29.1a8,8,0,1,0,11.84-10.76ZM128,208V144l11.73,8.8,25.08,27.59ZM112,71.63V32a8,8,0,0,1,12.8-6.4l64,48a8,8,0,0,1,0,12.8l-33.53,25.15a8,8,0,0,1-9.6-12.8l25-18.75L128,48V71.63a8,8,0,0,1-16,0Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconBluetoothSlash.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconBluetoothSlash.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconBluetoothSlash.prototype, "rotation", void 0);
PhIconBluetoothSlash = PhIconBluetoothSlash_1 = __decorate([
    customElement('ph-icon-bluetooth-slash')
], PhIconBluetoothSlash);
export default PhIconBluetoothSlash;
//# sourceMappingURL=ph-icon-bluetooth-slash.js.map