var PhIconCardholder_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconCardholder = PhIconCardholder_1 = class PhIconCardholder extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconCardholder_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconCardholder.tag = 'ph-icon-cardholder';
/** @internal */
PhIconCardholder.styles = styles;
/** @internal */
PhIconCardholder.svg = svg `<path d="M208,48H48A24,24,0,0,0,24,72V184a24,24,0,0,0,24,24H208a24,24,0,0,0,24-24V72A24,24,0,0,0,208,48ZM40,96H216v16H167.19a16,16,0,0,0-15.67,12.81,24,24,0,0,1-47,0A16,16,0,0,0,88.81,112H40Zm8-32H208a8,8,0,0,1,8,8v8H40V72A8,8,0,0,1,48,64ZM208,192H48a8,8,0,0,1-8-8V128H88.8a40,40,0,0,0,78.39,0H216v56A8,8,0,0,1,208,192Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconCardholder.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconCardholder.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconCardholder.prototype, "rotation", void 0);
PhIconCardholder = PhIconCardholder_1 = __decorate([
    customElement('ph-icon-cardholder')
], PhIconCardholder);
export default PhIconCardholder;
//# sourceMappingURL=ph-icon-cardholder.js.map