var PhIconCaretDoubleDown_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconCaretDoubleDown = PhIconCaretDoubleDown_1 = class PhIconCaretDoubleDown extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconCaretDoubleDown_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconCaretDoubleDown.tag = 'ph-icon-caret-double-down';
/** @internal */
PhIconCaretDoubleDown.styles = styles;
/** @internal */
PhIconCaretDoubleDown.svg = svg `<path d="M213.66,122.34a8,8,0,0,1,0,11.32l-80,80a8,8,0,0,1-11.32,0l-80-80a8,8,0,0,1,11.32-11.32L128,196.69l74.34-74.35A8,8,0,0,1,213.66,122.34Zm-91.32,11.32a8,8,0,0,0,11.32,0l80-80a8,8,0,0,0-11.32-11.32L128,116.69,53.66,42.34A8,8,0,0,0,42.34,53.66Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconCaretDoubleDown.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconCaretDoubleDown.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconCaretDoubleDown.prototype, "rotation", void 0);
PhIconCaretDoubleDown = PhIconCaretDoubleDown_1 = __decorate([
    customElement('ph-icon-caret-double-down')
], PhIconCaretDoubleDown);
export default PhIconCaretDoubleDown;
//# sourceMappingURL=ph-icon-caret-double-down.js.map