var PhIconChartBarHorizontal_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconChartBarHorizontal = PhIconChartBarHorizontal_1 = class PhIconChartBarHorizontal extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconChartBarHorizontal_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconChartBarHorizontal.tag = 'ph-icon-chart-bar-horizontal';
/** @internal */
PhIconChartBarHorizontal.styles = styles;
/** @internal */
PhIconChartBarHorizontal.svg = svg `<path d="M216,96H176V56a8,8,0,0,0-8-8H48V40a8,8,0,0,0-16,0V216a8,8,0,0,0,16,0v-8h88a8,8,0,0,0,8-8V160h72a8,8,0,0,0,8-8V104A8,8,0,0,0,216,96ZM160,64V96H48V64ZM128,192H48V160h80Zm80-48H48V112H208Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconChartBarHorizontal.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconChartBarHorizontal.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconChartBarHorizontal.prototype, "rotation", void 0);
PhIconChartBarHorizontal = PhIconChartBarHorizontal_1 = __decorate([
    customElement('ph-icon-chart-bar-horizontal')
], PhIconChartBarHorizontal);
export default PhIconChartBarHorizontal;
//# sourceMappingURL=ph-icon-chart-bar-horizontal.js.map