var PhIconCheckSquareOffset_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconCheckSquareOffset = PhIconCheckSquareOffset_1 = class PhIconCheckSquareOffset extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconCheckSquareOffset_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconCheckSquareOffset.tag = 'ph-icon-check-square-offset';
/** @internal */
PhIconCheckSquareOffset.styles = styles;
/** @internal */
PhIconCheckSquareOffset.svg = svg `<path d="M224,48V208a16,16,0,0,1-16,16H136a8,8,0,0,1,0-16h72V48H48v96a8,8,0,0,1-16,0V48A16,16,0,0,1,48,32H208A16,16,0,0,1,224,48ZM125.66,154.34a8,8,0,0,0-11.32,0L64,204.69,45.66,186.34a8,8,0,0,0-11.32,11.32l24,24a8,8,0,0,0,11.32,0l56-56A8,8,0,0,0,125.66,154.34Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconCheckSquareOffset.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconCheckSquareOffset.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconCheckSquareOffset.prototype, "rotation", void 0);
PhIconCheckSquareOffset = PhIconCheckSquareOffset_1 = __decorate([
    customElement('ph-icon-check-square-offset')
], PhIconCheckSquareOffset);
export default PhIconCheckSquareOffset;
//# sourceMappingURL=ph-icon-check-square-offset.js.map