var PhIconCurrencyJpy_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconCurrencyJpy = PhIconCurrencyJpy_1 = class PhIconCurrencyJpy extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconCurrencyJpy_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconCurrencyJpy.tag = 'ph-icon-currency-jpy';
/** @internal */
PhIconCurrencyJpy.styles = styles;
/** @internal */
PhIconCurrencyJpy.svg = svg `<path d="M206.19,53.07,144.88,128H176a8,8,0,0,1,0,16H136v16h40a8,8,0,0,1,0,16H136v40a8,8,0,0,1-16,0V176H80a8,8,0,0,1,0-16h40V144H80a8,8,0,0,1,0-16h31.12L49.81,53.07A8,8,0,0,1,62.19,42.93L128,123.37l65.81-80.44a8,8,0,1,1,12.38,10.14Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconCurrencyJpy.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconCurrencyJpy.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconCurrencyJpy.prototype, "rotation", void 0);
PhIconCurrencyJpy = PhIconCurrencyJpy_1 = __decorate([
    customElement('ph-icon-currency-jpy')
], PhIconCurrencyJpy);
export default PhIconCurrencyJpy;
//# sourceMappingURL=ph-icon-currency-jpy.js.map