var PhIconCursor_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconCursor = PhIconCursor_1 = class PhIconCursor extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconCursor_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconCursor.tag = 'ph-icon-cursor';
/** @internal */
PhIconCursor.styles = styles;
/** @internal */
PhIconCursor.svg = svg `<path d="M169.64,134.33l44.77-19.46A16,16,0,0,0,213,85.07L52.92,32.8A15.95,15.95,0,0,0,32.8,52.92L85.07,213a15.82,15.82,0,0,0,14.41,11l.78,0a15.84,15.84,0,0,0,14.61-9.59h0l19.46-44.77L184,219.31a16,16,0,0,0,22.63,0l12.68-12.68a16,16,0,0,0,0-22.63Zm-69.48,73.76.06-.05Zm95.15-.09-49.67-49.67a16,16,0,0,0-26,4.93l-19.41,44.66L48,48l159.87,52.2-44.65,19.42a16,16,0,0,0-4.93,26L208,195.31Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconCursor.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconCursor.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconCursor.prototype, "rotation", void 0);
PhIconCursor = PhIconCursor_1 = __decorate([
    customElement('ph-icon-cursor')
], PhIconCursor);
export default PhIconCursor;
//# sourceMappingURL=ph-icon-cursor.js.map