var PhIconDeviceMobileCamera_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconDeviceMobileCamera = PhIconDeviceMobileCamera_1 = class PhIconDeviceMobileCamera extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconDeviceMobileCamera_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconDeviceMobileCamera.tag = 'ph-icon-device-mobile-camera';
/** @internal */
PhIconDeviceMobileCamera.styles = styles;
/** @internal */
PhIconDeviceMobileCamera.svg = svg `<path d="M176,16H80A24,24,0,0,0,56,40V216a24,24,0,0,0,24,24h96a24,24,0,0,0,24-24V40A24,24,0,0,0,176,16Zm8,200a8,8,0,0,1-8,8H80a8,8,0,0,1-8-8V40a8,8,0,0,1,8-8h96a8,8,0,0,1,8,8ZM140,60a12,12,0,1,1-12-12A12,12,0,0,1,140,60Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconDeviceMobileCamera.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconDeviceMobileCamera.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconDeviceMobileCamera.prototype, "rotation", void 0);
PhIconDeviceMobileCamera = PhIconDeviceMobileCamera_1 = __decorate([
    customElement('ph-icon-device-mobile-camera')
], PhIconDeviceMobileCamera);
export default PhIconDeviceMobileCamera;
//# sourceMappingURL=ph-icon-device-mobile-camera.js.map