var PhIconDeviceTabletSpeaker_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconDeviceTabletSpeaker = PhIconDeviceTabletSpeaker_1 = class PhIconDeviceTabletSpeaker extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconDeviceTabletSpeaker_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconDeviceTabletSpeaker.tag = 'ph-icon-device-tablet-speaker';
/** @internal */
PhIconDeviceTabletSpeaker.styles = styles;
/** @internal */
PhIconDeviceTabletSpeaker.svg = svg `<path d="M192,24H64A24,24,0,0,0,40,48V208a24,24,0,0,0,24,24H192a24,24,0,0,0,24-24V48A24,24,0,0,0,192,24Zm8,184a8,8,0,0,1-8,8H64a8,8,0,0,1-8-8V48a8,8,0,0,1,8-8H192a8,8,0,0,1,8,8ZM168,64a8,8,0,0,1-8,8H96a8,8,0,0,1,0-16h64A8,8,0,0,1,168,64Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconDeviceTabletSpeaker.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconDeviceTabletSpeaker.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconDeviceTabletSpeaker.prototype, "rotation", void 0);
PhIconDeviceTabletSpeaker = PhIconDeviceTabletSpeaker_1 = __decorate([
    customElement('ph-icon-device-tablet-speaker')
], PhIconDeviceTabletSpeaker);
export default PhIconDeviceTabletSpeaker;
//# sourceMappingURL=ph-icon-device-tablet-speaker.js.map