var PhIconEjectSimple_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconEjectSimple = PhIconEjectSimple_1 = class PhIconEjectSimple extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconEjectSimple_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconEjectSimple.tag = 'ph-icon-eject-simple';
/** @internal */
PhIconEjectSimple.styles = styles;
/** @internal */
PhIconEjectSimple.svg = svg `<path d="M232,208a8,8,0,0,1-8,8H32a8,8,0,1,1,0-16H224A8,8,0,0,1,232,208ZM25.59,158.84a16,16,0,0,1,2-17.07L109.26,40.94a24.11,24.11,0,0,1,37.48,0l81.65,100.83A16.1,16.1,0,0,1,215.91,168H40.09A16,16,0,0,1,25.59,158.84ZM40,151.91s0,.09.08.11l175.83,0s.08-.09.08-.13L134.3,51a8.1,8.1,0,0,0-12.6,0L40,151.84A.28.28,0,0,0,40,151.91Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconEjectSimple.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconEjectSimple.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconEjectSimple.prototype, "rotation", void 0);
PhIconEjectSimple = PhIconEjectSimple_1 = __decorate([
    customElement('ph-icon-eject-simple')
], PhIconEjectSimple);
export default PhIconEjectSimple;
//# sourceMappingURL=ph-icon-eject-simple.js.map