var PhIconEnvelopeOpen_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconEnvelopeOpen = PhIconEnvelopeOpen_1 = class PhIconEnvelopeOpen extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconEnvelopeOpen_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconEnvelopeOpen.tag = 'ph-icon-envelope-open';
/** @internal */
PhIconEnvelopeOpen.styles = styles;
/** @internal */
PhIconEnvelopeOpen.svg = svg `<path d="M228.44,89.34l-96-64a8,8,0,0,0-8.88,0l-96,64A8,8,0,0,0,24,96V200a16,16,0,0,0,16,16H216a16,16,0,0,0,16-16V96A8,8,0,0,0,228.44,89.34ZM96.72,152,40,192V111.53Zm16.37,8h29.82l56.63,40H56.46Zm46.19-8L216,111.53V192ZM128,41.61l81.91,54.61-67,47.78H113.11l-67-47.78Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconEnvelopeOpen.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconEnvelopeOpen.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconEnvelopeOpen.prototype, "rotation", void 0);
PhIconEnvelopeOpen = PhIconEnvelopeOpen_1 = __decorate([
    customElement('ph-icon-envelope-open')
], PhIconEnvelopeOpen);
export default PhIconEnvelopeOpen;
//# sourceMappingURL=ph-icon-envelope-open.js.map