var PhIconEscalatorDown_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconEscalatorDown = PhIconEscalatorDown_1 = class PhIconEscalatorDown extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconEscalatorDown_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconEscalatorDown.tag = 'ph-icon-escalator-down';
/** @internal */
PhIconEscalatorDown.styles = styles;
/** @internal */
PhIconEscalatorDown.svg = svg `<path d="M170.34,85.66a8,8,0,0,1,11.32-11.32L192,84.69V48a8,8,0,0,1,16,0V84.69l10.34-10.35a8,8,0,0,1,11.32,11.32l-24,24a8,8,0,0,1-11.32,0ZM240,160v40a16,16,0,0,1-16,16H171.5a16.06,16.06,0,0,1-11.76-5.15L68.5,112H32A16,16,0,0,1,16,96V56A16,16,0,0,1,32,40H84.5a16.06,16.06,0,0,1,11.76,5.15L187.5,144H224A16,16,0,0,1,240,160Zm-16,0H187.5a16.06,16.06,0,0,1-11.76-5.15L84.5,56H32V96H68.5a16.06,16.06,0,0,1,11.76,5.15L171.5,200H224Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconEscalatorDown.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconEscalatorDown.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconEscalatorDown.prototype, "rotation", void 0);
PhIconEscalatorDown = PhIconEscalatorDown_1 = __decorate([
    customElement('ph-icon-escalator-down')
], PhIconEscalatorDown);
export default PhIconEscalatorDown;
//# sourceMappingURL=ph-icon-escalator-down.js.map