var PhIconEscalatorUp_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconEscalatorUp = PhIconEscalatorUp_1 = class PhIconEscalatorUp extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconEscalatorUp_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconEscalatorUp.tag = 'ph-icon-escalator-up';
/** @internal */
PhIconEscalatorUp.styles = styles;
/** @internal */
PhIconEscalatorUp.svg = svg `<path d="M224,40H171.5a16,16,0,0,0-11.75,5.15L68.5,144H32a16,16,0,0,0-16,16v40a16,16,0,0,0,16,16H84.5a16,16,0,0,0,11.75-5.15L187.5,112H224a16,16,0,0,0,16-16V56A16,16,0,0,0,224,40Zm0,56H187.5a16,16,0,0,0-11.75,5.15L84.5,200H32V160H68.5a16,16,0,0,0,11.75-5.15L171.5,56H224Zm5.66,74.34a8,8,0,0,1-11.32,11.32L208,171.31V208a8,8,0,0,1-16,0V171.31l-10.34,10.35a8,8,0,0,1-11.32-11.32l24-24a8,8,0,0,1,11.32,0Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconEscalatorUp.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconEscalatorUp.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconEscalatorUp.prototype, "rotation", void 0);
PhIconEscalatorUp = PhIconEscalatorUp_1 = __decorate([
    customElement('ph-icon-escalator-up')
], PhIconEscalatorUp);
export default PhIconEscalatorUp;
//# sourceMappingURL=ph-icon-escalator-up.js.map