var PhIconFaceMask_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconFaceMask = PhIconFaceMask_1 = class PhIconFaceMask extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconFaceMask_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconFaceMask.tag = 'ph-icon-face-mask';
/** @internal */
PhIconFaceMask.styles = styles;
/** @internal */
PhIconFaceMask.svg = svg `<path d="M176,104a8,8,0,0,1-8,8H88a8,8,0,0,1,0-16h80A8,8,0,0,1,176,104Zm-8,24H88a8,8,0,0,0,0,16h80a8,8,0,0,0,0-16Zm88-24v24a32,32,0,0,1-32,32h-5.13c-6.54,14.44-19.26,27.12-37.7,37.36-21,11.68-43.52,17-49.92,18.3a15.7,15.7,0,0,1-6.5,0c-6.4-1.34-28.9-6.62-49.92-18.3C56.39,187.12,43.67,174.44,37.13,160H32A32,32,0,0,1,0,128V104A32,32,0,0,1,32,72h.85a16,16,0,0,1,9.68-10l80-29.09a16.06,16.06,0,0,1,10.94,0l80,29.09a16,16,0,0,1,9.68,10H224A32,32,0,0,1,256,104ZM32.53,144a59.94,59.94,0,0,1-.53-7.85V88a16,16,0,0,0-16,16v24a16,16,0,0,0,16,16ZM208,136.15V77.09L128,48,48,77.09v59.06c0,45.76,71.84,62.13,80,63.85C136.16,198.28,208,181.91,208,136.15ZM240,104a16,16,0,0,0-16-16v48.15a59.94,59.94,0,0,1-.53,7.85H224a16,16,0,0,0,16-16Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconFaceMask.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconFaceMask.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconFaceMask.prototype, "rotation", void 0);
PhIconFaceMask = PhIconFaceMask_1 = __decorate([
    customElement('ph-icon-face-mask')
], PhIconFaceMask);
export default PhIconFaceMask;
//# sourceMappingURL=ph-icon-face-mask.js.map