var PhIconFileMagnifyingGlass_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconFileMagnifyingGlass = PhIconFileMagnifyingGlass_1 = class PhIconFileMagnifyingGlass extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconFileMagnifyingGlass_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconFileMagnifyingGlass.tag = 'ph-icon-file-magnifying-glass';
/** @internal */
PhIconFileMagnifyingGlass.styles = styles;
/** @internal */
PhIconFileMagnifyingGlass.svg = svg `<path d="M213.66,82.34l-56-56A8,8,0,0,0,152,24H56A16,16,0,0,0,40,40V216a16,16,0,0,0,16,16H200a16,16,0,0,0,16-16V88A8,8,0,0,0,213.66,82.34ZM160,51.31,188.69,80H160ZM200,216H56V40h88V88a8,8,0,0,0,8,8h48V216Zm-45.54-48.85a36.05,36.05,0,1,0-11.31,11.31l11.19,11.2a8,8,0,0,0,11.32-11.32ZM104,148a20,20,0,1,1,20,20A20,20,0,0,1,104,148Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconFileMagnifyingGlass.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconFileMagnifyingGlass.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconFileMagnifyingGlass.prototype, "rotation", void 0);
PhIconFileMagnifyingGlass = PhIconFileMagnifyingGlass_1 = __decorate([
    customElement('ph-icon-file-magnifying-glass')
], PhIconFileMagnifyingGlass);
export default PhIconFileMagnifyingGlass;
//# sourceMappingURL=ph-icon-file-magnifying-glass.js.map