var PhIconGenderNeuter_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconGenderNeuter = PhIconGenderNeuter_1 = class PhIconGenderNeuter extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconGenderNeuter_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconGenderNeuter.tag = 'ph-icon-gender-neuter';
/** @internal */
PhIconGenderNeuter.styles = styles;
/** @internal */
PhIconGenderNeuter.svg = svg `<path d="M208,104a80,80,0,1,0-88,79.6V232a8,8,0,0,0,16,0V183.6A80.11,80.11,0,0,0,208,104Zm-80,64a64,64,0,1,1,64-64A64.07,64.07,0,0,1,128,168Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconGenderNeuter.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconGenderNeuter.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconGenderNeuter.prototype, "rotation", void 0);
PhIconGenderNeuter = PhIconGenderNeuter_1 = __decorate([
    customElement('ph-icon-gender-neuter')
], PhIconGenderNeuter);
export default PhIconGenderNeuter;
//# sourceMappingURL=ph-icon-gender-neuter.js.map