var PhIconListMagnifyingGlass_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconListMagnifyingGlass = PhIconListMagnifyingGlass_1 = class PhIconListMagnifyingGlass extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconListMagnifyingGlass_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconListMagnifyingGlass.tag = 'ph-icon-list-magnifying-glass';
/** @internal */
PhIconListMagnifyingGlass.styles = styles;
/** @internal */
PhIconListMagnifyingGlass.svg = svg `<path d="M32,64a8,8,0,0,1,8-8H216a8,8,0,0,1,0,16H40A8,8,0,0,1,32,64Zm8,72h72a8,8,0,0,0,0-16H40a8,8,0,0,0,0,16Zm88,48H40a8,8,0,0,0,0,16h88a8,8,0,0,0,0-16Zm109.66,13.66a8,8,0,0,1-11.32,0L206,177.36A40,40,0,1,1,217.36,166l20.3,20.3A8,8,0,0,1,237.66,197.66ZM184,168a24,24,0,1,0-24-24A24,24,0,0,0,184,168Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconListMagnifyingGlass.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconListMagnifyingGlass.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconListMagnifyingGlass.prototype, "rotation", void 0);
PhIconListMagnifyingGlass = PhIconListMagnifyingGlass_1 = __decorate([
    customElement('ph-icon-list-magnifying-glass')
], PhIconListMagnifyingGlass);
export default PhIconListMagnifyingGlass;
//# sourceMappingURL=ph-icon-list-magnifying-glass.js.map