var PhIconMagnifyingGlassPlus_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconMagnifyingGlassPlus = PhIconMagnifyingGlassPlus_1 = class PhIconMagnifyingGlassPlus extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconMagnifyingGlassPlus_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconMagnifyingGlassPlus.tag = 'ph-icon-magnifying-glass-plus';
/** @internal */
PhIconMagnifyingGlassPlus.styles = styles;
/** @internal */
PhIconMagnifyingGlassPlus.svg = svg `<path d="M152,112a8,8,0,0,1-8,8H120v24a8,8,0,0,1-16,0V120H80a8,8,0,0,1,0-16h24V80a8,8,0,0,1,16,0v24h24A8,8,0,0,1,152,112Zm77.66,117.66a8,8,0,0,1-11.32,0l-50.06-50.07a88.11,88.11,0,1,1,11.31-11.31l50.07,50.06A8,8,0,0,1,229.66,229.66ZM112,184a72,72,0,1,0-72-72A72.08,72.08,0,0,0,112,184Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconMagnifyingGlassPlus.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconMagnifyingGlassPlus.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconMagnifyingGlassPlus.prototype, "rotation", void 0);
PhIconMagnifyingGlassPlus = PhIconMagnifyingGlassPlus_1 = __decorate([
    customElement('ph-icon-magnifying-glass-plus')
], PhIconMagnifyingGlassPlus);
export default PhIconMagnifyingGlassPlus;
//# sourceMappingURL=ph-icon-magnifying-glass-plus.js.map