var PhIconMagnifyingGlass_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconMagnifyingGlass = PhIconMagnifyingGlass_1 = class PhIconMagnifyingGlass extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconMagnifyingGlass_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconMagnifyingGlass.tag = 'ph-icon-magnifying-glass';
/** @internal */
PhIconMagnifyingGlass.styles = styles;
/** @internal */
PhIconMagnifyingGlass.svg = svg `<path d="M229.66,218.34l-50.07-50.06a88.11,88.11,0,1,0-11.31,11.31l50.06,50.07a8,8,0,0,0,11.32-11.32ZM40,112a72,72,0,1,1,72,72A72.08,72.08,0,0,1,40,112Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconMagnifyingGlass.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconMagnifyingGlass.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconMagnifyingGlass.prototype, "rotation", void 0);
PhIconMagnifyingGlass = PhIconMagnifyingGlass_1 = __decorate([
    customElement('ph-icon-magnifying-glass')
], PhIconMagnifyingGlass);
export default PhIconMagnifyingGlass;
//# sourceMappingURL=ph-icon-magnifying-glass.js.map