var PhIconMusicNotesPlus_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconMusicNotesPlus = PhIconMusicNotesPlus_1 = class PhIconMusicNotesPlus extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconMusicNotesPlus_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconMusicNotesPlus.tag = 'ph-icon-music-notes-plus';
/** @internal */
PhIconMusicNotesPlus.styles = styles;
/** @internal */
PhIconMusicNotesPlus.svg = svg `<path d="M232,56a8,8,0,0,1-8,8H208V80a8,8,0,0,1-16,0V64H176a8,8,0,0,1,0-16h16V32a8,8,0,0,1,16,0V48h16A8,8,0,0,1,232,56ZM88,118.25V204a36,36,0,1,1-16-29.92V64a8,8,0,0,1,6.06-7.76l56-14a8,8,0,0,1,3.88,15.52L88,70.25v31.5l70.06-17.51a8,8,0,0,1,3.88,15.52ZM72,204a20,20,0,1,0-20,20A20,20,0,0,0,72,204Zm144-84v52a36,36,0,1,1-16-29.92V120a8,8,0,0,1,16,0Zm-16,52a20,20,0,1,0-20,20A20,20,0,0,0,200,172Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconMusicNotesPlus.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconMusicNotesPlus.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconMusicNotesPlus.prototype, "rotation", void 0);
PhIconMusicNotesPlus = PhIconMusicNotesPlus_1 = __decorate([
    customElement('ph-icon-music-notes-plus')
], PhIconMusicNotesPlus);
export default PhIconMusicNotesPlus;
//# sourceMappingURL=ph-icon-music-notes-plus.js.map