var PhIconPaintBucket_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconPaintBucket = PhIconPaintBucket_1 = class PhIconPaintBucket extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconPaintBucket_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconPaintBucket.tag = 'ph-icon-paint-bucket';
/** @internal */
PhIconPaintBucket.styles = styles;
/** @internal */
PhIconPaintBucket.svg = svg `<path d="M233,161.75a8,8,0,0,0-10,0c-.94.76-23,18.68-23,42.25a28,28,0,0,0,56,0C256,180.43,233.94,162.51,233,161.75ZM228,216a12,12,0,0,1-12-12c0-10.18,7-19.53,12-24.93,5,5.42,12,14.8,12,24.93A12,12,0,0,1,228,216Zm1.66-98.17L122.17,10.34a8,8,0,0,0-11.31,0L70.25,51,45.65,26.34A8,8,0,0,0,34.34,37.66l24.6,24.6L15,106.17a24,24,0,0,0,0,33.94L99.89,225a24,24,0,0,0,33.94,0l95.83-95.83A8,8,0,0,0,229.66,117.83ZM122.51,213.66a8,8,0,0,1-11.31,0L26.34,128.8a8,8,0,0,1,0-11.31L70.25,73.57l29.12,29.12a28,28,0,1,0,11.31-11.32L81.57,62.26l35-34.95,96.17,96.17ZM124,104a12,12,0,1,1-8.49,3.5A12,12,0,0,1,124,104Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconPaintBucket.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconPaintBucket.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconPaintBucket.prototype, "rotation", void 0);
PhIconPaintBucket = PhIconPaintBucket_1 = __decorate([
    customElement('ph-icon-paint-bucket')
], PhIconPaintBucket);
export default PhIconPaintBucket;
//# sourceMappingURL=ph-icon-paint-bucket.js.map