var PhIconPaperPlaneTilt_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconPaperPlaneTilt = PhIconPaperPlaneTilt_1 = class PhIconPaperPlaneTilt extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconPaperPlaneTilt_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconPaperPlaneTilt.tag = 'ph-icon-paper-plane-tilt';
/** @internal */
PhIconPaperPlaneTilt.styles = styles;
/** @internal */
PhIconPaperPlaneTilt.svg = svg `<path d="M227.32,28.68a16,16,0,0,0-15.66-4.08l-.15,0L19.57,82.84a16,16,0,0,0-2.42,29.84l85.62,40.55,40.55,85.62A15.86,15.86,0,0,0,157.74,248q.69,0,1.38-.06a15.88,15.88,0,0,0,14-11.51l58.2-191.94c0-.05,0-.1,0-.15A16,16,0,0,0,227.32,28.68ZM157.83,231.85l-.05.14L118.42,148.9l47.24-47.25a8,8,0,0,0-11.31-11.31L107.1,137.58,24,98.22l.14,0L216,40Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconPaperPlaneTilt.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconPaperPlaneTilt.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconPaperPlaneTilt.prototype, "rotation", void 0);
PhIconPaperPlaneTilt = PhIconPaperPlaneTilt_1 = __decorate([
    customElement('ph-icon-paper-plane-tilt')
], PhIconPaperPlaneTilt);
export default PhIconPaperPlaneTilt;
//# sourceMappingURL=ph-icon-paper-plane-tilt.js.map