var PhIconPictureInPicture_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconPictureInPicture = PhIconPictureInPicture_1 = class PhIconPictureInPicture extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconPictureInPicture_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconPictureInPicture.tag = 'ph-icon-picture-in-picture';
/** @internal */
PhIconPictureInPicture.styles = styles;
/** @internal */
PhIconPictureInPicture.svg = svg `<path d="M216,48H40A16,16,0,0,0,24,64V192a16,16,0,0,0,16,16H216a16,16,0,0,0,16-16V64A16,16,0,0,0,216,48ZM40,64H216v56H144a16,16,0,0,0-16,16v56H40ZM216,192H144V136h72v56Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconPictureInPicture.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconPictureInPicture.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconPictureInPicture.prototype, "rotation", void 0);
PhIconPictureInPicture = PhIconPictureInPicture_1 = __decorate([
    customElement('ph-icon-picture-in-picture')
], PhIconPictureInPicture);
export default PhIconPictureInPicture;
//# sourceMappingURL=ph-icon-picture-in-picture.js.map