var PhIconProhibitInset_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconProhibitInset = PhIconProhibitInset_1 = class PhIconProhibitInset extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconProhibitInset_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconProhibitInset.tag = 'ph-icon-prohibit-inset';
/** @internal */
PhIconProhibitInset.styles = styles;
/** @internal */
PhIconProhibitInset.svg = svg `<path d="M165.66,154.34a8,8,0,0,1-11.32,11.32l-64-64a8,8,0,0,1,11.32-11.32ZM232,128A104,104,0,1,1,128,24,104.11,104.11,0,0,1,232,128Zm-16,0a88,88,0,1,0-88,88A88.1,88.1,0,0,0,216,128Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconProhibitInset.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconProhibitInset.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconProhibitInset.prototype, "rotation", void 0);
PhIconProhibitInset = PhIconProhibitInset_1 = __decorate([
    customElement('ph-icon-prohibit-inset')
], PhIconProhibitInset);
export default PhIconProhibitInset;
//# sourceMappingURL=ph-icon-prohibit-inset.js.map