var PhIconQueue_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconQueue = PhIconQueue_1 = class PhIconQueue extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconQueue_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconQueue.tag = 'ph-icon-queue';
/** @internal */
PhIconQueue.styles = styles;
/** @internal */
PhIconQueue.svg = svg `<path d="M32,64a8,8,0,0,1,8-8H216a8,8,0,0,1,0,16H40A8,8,0,0,1,32,64Zm104,56H40a8,8,0,0,0,0,16h96a8,8,0,0,0,0-16Zm0,64H40a8,8,0,0,0,0,16h96a8,8,0,0,0,0-16Zm112-24a8,8,0,0,1-3.76,6.78l-64,40A8,8,0,0,1,168,200V120a8,8,0,0,1,12.24-6.78l64,40A8,8,0,0,1,248,160Zm-23.09,0L184,134.43v51.14Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconQueue.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconQueue.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconQueue.prototype, "rotation", void 0);
PhIconQueue = PhIconQueue_1 = __decorate([
    customElement('ph-icon-queue')
], PhIconQueue);
export default PhIconQueue;
//# sourceMappingURL=ph-icon-queue.js.map