var PhIconScribbleLoop_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconScribbleLoop = PhIconScribbleLoop_1 = class PhIconScribbleLoop extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconScribbleLoop_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconScribbleLoop.tag = 'ph-icon-scribble-loop';
/** @internal */
PhIconScribbleLoop.styles = styles;
/** @internal */
PhIconScribbleLoop.svg = svg `<path d="M245.93,154.63c-1.32-1.46-24.09-26.22-61-40.56-1.72-18.42-8.46-35.17-19.41-47.92C150.87,49,129.58,40,104,40,52.48,40,18.89,86.18,17.49,88.15a8,8,0,0,0,13,9.31C30.8,97.05,60.81,56,104,56c20.77,0,37.86,7.11,49.41,20.57,7.42,8.64,12.44,19.69,14.67,32A140.87,140.87,0,0,0,132.6,104c-26.06,0-47.93,6.81-63.26,19.69C55.78,135.09,48,151,48,167.25A47.59,47.59,0,0,0,61.87,201.3c9.66,9.62,23.06,14.7,38.73,14.7,51.81,0,81.18-42.13,84.49-84.42a161.43,161.43,0,0,1,49,33.79,8,8,0,1,0,11.86-10.74Zm-94.46,21.64C142.64,187.09,126.66,200,100.6,200,75.32,200,64,183.55,64,167.25,64,144.49,85.47,120,132.6,120a124.34,124.34,0,0,1,36.78,5.68C168.93,144.44,162.46,162.78,151.47,176.27Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconScribbleLoop.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconScribbleLoop.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconScribbleLoop.prototype, "rotation", void 0);
PhIconScribbleLoop = PhIconScribbleLoop_1 = __decorate([
    customElement('ph-icon-scribble-loop')
], PhIconScribbleLoop);
export default PhIconScribbleLoop;
//# sourceMappingURL=ph-icon-scribble-loop.js.map