var PhIconShieldSlash_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconShieldSlash = PhIconShieldSlash_1 = class PhIconShieldSlash extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconShieldSlash_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconShieldSlash.tag = 'ph-icon-shield-slash';
/** @internal */
PhIconShieldSlash.styles = styles;
/** @internal */
PhIconShieldSlash.svg = svg `<path d="M53.92,34.62A8,8,0,0,0,40.26,42,16,16,0,0,0,32,56v58.77c0,89.62,75.82,119.34,91,124.38a15.44,15.44,0,0,0,10,0,147.19,147.19,0,0,0,54.59-33.76l14.51,16a8,8,0,1,0,11.84-10.77ZM128,224c-13.53-4.5-80-30.68-80-109.18V56h3.73L176.8,193.57A130.13,130.13,0,0,1,128,224ZM224,56v58.77c0,19.67-3.73,37.93-11.1,54.29a8,8,0,1,1-14.59-6.57c6.43-14.28,9.69-30.33,9.69-47.72V56L98.52,56a8,8,0,1,1,0-16H208A16,16,0,0,1,224,56Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconShieldSlash.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconShieldSlash.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconShieldSlash.prototype, "rotation", void 0);
PhIconShieldSlash = PhIconShieldSlash_1 = __decorate([
    customElement('ph-icon-shield-slash')
], PhIconShieldSlash);
export default PhIconShieldSlash;
//# sourceMappingURL=ph-icon-shield-slash.js.map