var PhIconShuffleAngular_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconShuffleAngular = PhIconShuffleAngular_1 = class PhIconShuffleAngular extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconShuffleAngular_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconShuffleAngular.tag = 'ph-icon-shuffle-angular';
/** @internal */
PhIconShuffleAngular.styles = styles;
/** @internal */
PhIconShuffleAngular.svg = svg `<path d="M237.66,178.34a8,8,0,0,1,0,11.32l-24,24a8,8,0,0,1-11.32-11.32L212.69,192H172.12a16,16,0,0,1-13-6.7L83.88,80H32a8,8,0,0,1,0-16H83.88a16,16,0,0,1,13,6.7L172.12,176h40.57l-10.35-10.34a8,8,0,0,1,11.32-11.32ZM143,107a8,8,0,0,0,11.16-1.86l18-25.12h40.57L202.34,90.34a8,8,0,0,0,11.32,11.32l24-24a8,8,0,0,0,0-11.32l-24-24a8,8,0,0,0-11.32,11.32L212.69,64H172.12a16,16,0,0,0-13,6.7L141.15,95.82A8,8,0,0,0,143,107Zm-30,42a8,8,0,0,0-11.16,1.86L83.88,176H32a8,8,0,0,0,0,16H83.88a16,16,0,0,0,13-6.7l17.95-25.12A8,8,0,0,0,113,149Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconShuffleAngular.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconShuffleAngular.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconShuffleAngular.prototype, "rotation", void 0);
PhIconShuffleAngular = PhIconShuffleAngular_1 = __decorate([
    customElement('ph-icon-shuffle-angular')
], PhIconShuffleAngular);
export default PhIconShuffleAngular;
//# sourceMappingURL=ph-icon-shuffle-angular.js.map