var PhIconSquareSplitHorizontal_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconSquareSplitHorizontal = PhIconSquareSplitHorizontal_1 = class PhIconSquareSplitHorizontal extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconSquareSplitHorizontal_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconSquareSplitHorizontal.tag = 'ph-icon-square-split-horizontal';
/** @internal */
PhIconSquareSplitHorizontal.styles = styles;
/** @internal */
PhIconSquareSplitHorizontal.svg = svg `<path d="M200,40H56A16,16,0,0,0,40,56V200a16,16,0,0,0,16,16H200a16,16,0,0,0,16-16V56A16,16,0,0,0,200,40ZM56,56h64V200H56ZM200,200H136V56h64V200Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconSquareSplitHorizontal.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconSquareSplitHorizontal.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconSquareSplitHorizontal.prototype, "rotation", void 0);
PhIconSquareSplitHorizontal = PhIconSquareSplitHorizontal_1 = __decorate([
    customElement('ph-icon-square-split-horizontal')
], PhIconSquareSplitHorizontal);
export default PhIconSquareSplitHorizontal;
//# sourceMappingURL=ph-icon-square-split-horizontal.js.map