var PhIconSquareSplitVertical_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconSquareSplitVertical = PhIconSquareSplitVertical_1 = class PhIconSquareSplitVertical extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconSquareSplitVertical_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconSquareSplitVertical.tag = 'ph-icon-square-split-vertical';
/** @internal */
PhIconSquareSplitVertical.styles = styles;
/** @internal */
PhIconSquareSplitVertical.svg = svg `<path d="M200,40H56A16,16,0,0,0,40,56V200a16,16,0,0,0,16,16H200a16,16,0,0,0,16-16V56A16,16,0,0,0,200,40Zm0,16v64H56V56Zm0,144H56V136H200v64Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconSquareSplitVertical.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconSquareSplitVertical.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconSquareSplitVertical.prototype, "rotation", void 0);
PhIconSquareSplitVertical = PhIconSquareSplitVertical_1 = __decorate([
    customElement('ph-icon-square-split-vertical')
], PhIconSquareSplitVertical);
export default PhIconSquareSplitVertical;
//# sourceMappingURL=ph-icon-square-split-vertical.js.map