var PhIconTrademarkRegistered_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconTrademarkRegistered = PhIconTrademarkRegistered_1 = class PhIconTrademarkRegistered extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconTrademarkRegistered_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconTrademarkRegistered.tag = 'ph-icon-trademark-registered';
/** @internal */
PhIconTrademarkRegistered.styles = styles;
/** @internal */
PhIconTrademarkRegistered.svg = svg `<path d="M128,24A104,104,0,1,0,232,128,104.11,104.11,0,0,0,128,24Zm0,192a88,88,0,1,1,88-88A88.1,88.1,0,0,1,128,216Zm23.09-75.79A32,32,0,0,0,136,80H104a8,8,0,0,0-8,8v80a8,8,0,0,0,16,0V144h22.39l19,28.44a8,8,0,0,0,13.32-8.88ZM112,96h24a16,16,0,0,1,0,32H112Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconTrademarkRegistered.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconTrademarkRegistered.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconTrademarkRegistered.prototype, "rotation", void 0);
PhIconTrademarkRegistered = PhIconTrademarkRegistered_1 = __decorate([
    customElement('ph-icon-trademark-registered')
], PhIconTrademarkRegistered);
export default PhIconTrademarkRegistered;
//# sourceMappingURL=ph-icon-trademark-registered.js.map