var PhIconUmbrellaSimple_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconUmbrellaSimple = PhIconUmbrellaSimple_1 = class PhIconUmbrellaSimple extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconUmbrellaSimple_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconUmbrellaSimple.tag = 'ph-icon-umbrella-simple';
/** @internal */
PhIconUmbrellaSimple.styles = styles;
/** @internal */
PhIconUmbrellaSimple.svg = svg `<path d="M240,126.63A112.44,112.44,0,0,0,51.75,53.75a111.56,111.56,0,0,0-35.7,72.88A16,16,0,0,0,32,144h88v56a32,32,0,0,0,64,0,8,8,0,0,0-16,0,16,16,0,0,1-32,0V144h88a16,16,0,0,0,16-17.37ZM32,128l0,0A96.43,96.43,0,0,1,193.4,65.52,95.32,95.32,0,0,1,224,128Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconUmbrellaSimple.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconUmbrellaSimple.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconUmbrellaSimple.prototype, "rotation", void 0);
PhIconUmbrellaSimple = PhIconUmbrellaSimple_1 = __decorate([
    customElement('ph-icon-umbrella-simple')
], PhIconUmbrellaSimple);
export default PhIconUmbrellaSimple;
//# sourceMappingURL=ph-icon-umbrella-simple.js.map