var PhIconVideoCamera_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconVideoCamera = PhIconVideoCamera_1 = class PhIconVideoCamera extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconVideoCamera_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconVideoCamera.tag = 'ph-icon-video-camera';
/** @internal */
PhIconVideoCamera.styles = styles;
/** @internal */
PhIconVideoCamera.svg = svg `<path d="M251.77,73a8,8,0,0,0-8.21.39L208,97.05V72a16,16,0,0,0-16-16H32A16,16,0,0,0,16,72V184a16,16,0,0,0,16,16H192a16,16,0,0,0,16-16V159l35.56,23.71A8,8,0,0,0,248,184a8,8,0,0,0,8-8V80A8,8,0,0,0,251.77,73ZM192,184H32V72H192V184Zm48-22.95-32-21.33V116.28L240,95Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconVideoCamera.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconVideoCamera.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconVideoCamera.prototype, "rotation", void 0);
PhIconVideoCamera = PhIconVideoCamera_1 = __decorate([
    customElement('ph-icon-video-camera')
], PhIconVideoCamera);
export default PhIconVideoCamera;
//# sourceMappingURL=ph-icon-video-camera.js.map