var PhIconVirtualReality_1;
import { __decorate, __metadata } from "tslib";
/* GENERATED FILE */
import { html, svg, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { styleMap } from 'lit/directives/style-map.js';
import { FONT_SIZES, } from '../../../internal/constants/styleConstants.js';
import styles from '../../icon/icon.styles.js';
/**
 * @cssproperty --icon-color - Set the color of the icon.
 *
 * @ssr - True
 */
let PhIconVirtualReality = PhIconVirtualReality_1 = class PhIconVirtualReality extends LitElement {
    constructor() {
        super(...arguments);
        /** Set the size of the icon. */
        this.size = FONT_SIZES.medium;
        /** Set the rotation of the icon. */
        this.rotation = 0;
    }
    render() {
        return html `
      <svg
        id="main"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 256 256"
        role=${ifDefined(this.label ? 'img' : undefined)}
        aria-label=${ifDefined(this.label || undefined)}
        aria-hidden=${ifDefined(this.label ? undefined : 'true')}
        style=${styleMap({
            transform: this.rotation ? `rotate(${this.rotation}deg)` : null,
            height: `var(--arc-font-size-${this.size})`,
            width: `var(--arc-font-size-${this.size})`,
        })}
      >
        ${PhIconVirtualReality_1.svg}
      </svg>
    `;
    }
};
/** @internal */
PhIconVirtualReality.tag = 'ph-icon-virtual-reality';
/** @internal */
PhIconVirtualReality.styles = styles;
/** @internal */
PhIconVirtualReality.svg = svg `<path d="M123.41,99l-26,64a8,8,0,0,1-14.82,0l-26-64a8,8,0,1,1,14.82-6L90,138.74,108.59,93a8,8,0,1,1,14.82,6ZM256,128a80.09,80.09,0,0,1-80,80H80A80,80,0,0,1,80,48h96A80.09,80.09,0,0,1,256,128Zm-16,0a64.07,64.07,0,0,0-64-64H80a64,64,0,0,0,0,128h96A64.07,64.07,0,0,0,240,128Zm-59.16,10.35L191,156a8,8,0,0,1-13.9,7.94l-11.44-20c-.53,0-1.07.05-1.61.05H152v16a8,8,0,0,1-16,0V96a8,8,0,0,1,8-8h20a28,28,0,0,1,16.84,50.35ZM152,128h12a12,12,0,0,0,0-24H152Z"/>`;
__decorate([
    property({ type: String }),
    __metadata("design:type", String)
], PhIconVirtualReality.prototype, "label", void 0);
__decorate([
    property({ type: String, reflect: true }),
    __metadata("design:type", String)
], PhIconVirtualReality.prototype, "size", void 0);
__decorate([
    property({ type: Number }),
    __metadata("design:type", Number)
], PhIconVirtualReality.prototype, "rotation", void 0);
PhIconVirtualReality = PhIconVirtualReality_1 = __decorate([
    customElement('ph-icon-virtual-reality')
], PhIconVirtualReality);
export default PhIconVirtualReality;
//# sourceMappingURL=ph-icon-virtual-reality.js.map