import { LitElement } from 'lit';
/**
 * @slot default - The default slot where radio controls are placed.
 * @slot label - The radio group label. Alternatively, you can use the label prop.
 *
 * @event arc-change - Emitted when a control's checked state changes.
 *
 * @ssr - True
 */
export default class ArcRadioGroup extends LitElement {
    /** @internal */
    static tag: string;
    static styles: import("lit").CSSResult[];
    /** @internal */
    defaultSlot: HTMLSlotElement;
    /** The radio group label. Required for proper accessibility. Alternatively, the label slot can be used. */
    label: string;
    /** Lays out the radio buttons horizontally. */
    row: boolean;
    handleFocusIn(): void;
    protected render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'arc-radio-group': ArcRadioGroup;
    }
}
