export interface ElementAnimation {
    keyframes: Keyframe[];
    options?: KeyframeAnimationOptions;
}
declare function setDefaultAnimation(animationName: string, animation: ElementAnimation | null): void;
declare function setAnimation(el: Element, animationName: string, animation: ElementAnimation | null): void;
declare function getAnimation(el: Element, animationName: string): ElementAnimation;
declare function startAnimations(el: HTMLElement, keyframes: Keyframe[], options?: KeyframeAnimationOptions): Promise<unknown>;
declare function stopAnimations(el: HTMLElement): Promise<unknown[]>;
declare function parseDuration(delay: number | string): number;
declare function shimKeyframesHeightAuto(keyframes: Keyframe[], calculatedHeight: number): {
    height: string | number | null | undefined;
    composite?: CompositeOperationOrAuto | undefined;
    easing?: string | undefined;
    offset?: number | null | undefined;
}[];
export { setDefaultAnimation, setAnimation, getAnimation, startAnimations, stopAnimations, parseDuration, shimKeyframesHeightAuto, };
