import type { ReactiveController, ReactiveControllerHost } from 'lit';
declare class HasSlotController implements ReactiveController {
    host: ReactiveControllerHost & Element;
    slotNames: string[];
    constructor(host: ReactiveControllerHost & Element, ...slotNames: string[]);
    private hasDefaultSlot;
    private hasNamedSlot;
    test(slotName: string): boolean;
    hostConnected(): void;
    hostDisconnected(): void;
    handleSlotChange(event: Event): void;
}
declare function getInnerHTML(slot: HTMLSlotElement): string;
declare function getTextContent(slot: HTMLSlotElement): string;
declare function hasSlot(el: HTMLElement, name?: string): boolean;
export { HasSlotController, getInnerHTML, getTextContent, hasSlot };
